Table of Contents

## Name

im_stats - calculate many image statistics in a single pass

## Synopsis

#include <vips/vips.h>

DOUBLEMASK *im_stats(in)
IMAGE *in;

## Description

Find many image statistics in a single pass through the PELs. Returns a DOUBLEMASK of 6 columns by n+1 (where n is number of bands in image in) rows. Columns are statistics, and are, in order: minimum, maximum, sum, sum of squares, mean, standard deviation. Row 0 has statistics for all bands together, row 1 has stats for band 1, and so on.

Non-complex images only!

## Return Value

NULL on error.

## See Also

im_avg(3) , im_deviate(3)

## Copyright

National Gallery, 1992

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- SeeAlso
- Copyright